Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Segher Boessenkool <[email-masked]>
Date: Mon, 4 Jun 2007 10:02:16 +0200

>> flash node obviously needs _some_ parent node though --
>> this is a tree after all.
>
>   Yes, of course it always has a perent. The question is which parent 
> it should be. :-)

Almosts always the correct choice is the physical
bridge/controller for the bus the flash sits on.

>> That is described in the "reg" property of the flash
>> node, just like for any other node.
>
>    Ah. So simple. :-)
>    What I failed to realize so far was that "ranges" imply 1:1 address 
> correspondence. But not all is so simple, I'm afraid. The flash chips 
> themselves could be connected to their bus in some weird fashion, I'm 
> afraid

In that case it is not direct-mapped, you have no "ranges"
in the parent node, and the kernel driver for the parent
node will know how to access its child bus.

>> It seems we really need more howto-style docs...
>
>    It may indeed be non-trivial task to find all the necessary specs 
> besides 1285 itself -- I just happened to know where to grab them 
> beforehand:

1275

> http://www.openbios.org/Bindings

There is only a subset there.  http://playground.sun.com/1275/
is the canonical location; there is a bunch of good docs in
the Sun library thing too (search for "FCode" or "OpenBoot").
Much of that has to do with using real OF, but lots of it is
valid/useful for a bare device tree as well.

Segher